org.apache.cassandra.io.sstable.metadata

## Class ValidationMetadata

- java.lang.Object
- - org.apache.cassandra.io.sstable.metadata.MetadataComponent
  - - org.apache.cassandra.io.sstable.metadata.ValidationMetadata

- All Implemented Interfaces:
    java.lang.Comparable<MetadataComponent>

      public class ValidationMetadata
      extends MetadataComponent

  SSTable metadata component used only for validating SSTable. This part is read before opening main Data.db file for validation and discarded immediately after that.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ValidationMetadata.ValidationMetadataSerializer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `bloomFilterFPChance`
    `java.lang.String` | `partitioner`
    `static IMetadataComponentSerializer` | `serializer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationMetadata(java.lang.String partitioner, double bloomFilterFPChance)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `MetadataType` | `getType()`
    `int` | `hashCode()`

    - ### Methods inherited from class org.apache.cassandra.io.sstable.metadata.MetadataComponent

      `compareTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static final IMetadataComponentSerializer serializer

    - #### partitioner

          public final java.lang.String partitioner

    - #### bloomFilterFPChance

          public final double bloomFilterFPChance

  - ### Constructor Detail

    - #### ValidationMetadata

          public ValidationMetadata(java.lang.String partitioner,
                                    double bloomFilterFPChance)

  - ### Method Detail

    - #### getType

          public MetadataType getType()

      Specified by:
        `getType` in class `MetadataComponent`
      Returns:
        Metadata component type

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation